%global srcname xmpp

%global ezlib_ver 1.0.6
%global fast_tls_ver 1.1.2
%global fast_xml_ver 1.1.37
%global idna_ver 6.0.0
%global p1_utils_ver 1.0.16
%global stringprep_ver 1.0.17

Name:       erlang-%{srcname}
Version:    1.4.2
Release:    3%{?dist}
Summary:    Erlang/Elixir XMPP parsing and serialization library

License:    ASL 2.0
URL:        https://github.com/processone/xmpp/
Source0:    https://github.com/processone/xmpp/archive/%{version}/xmpp-%{version}.tar.gz
# https://github.com/processone/xmpp/pull/3
Patch0:     0001-Allow-fxml.hrl-to-be-found-from-system-libs.patch

BuildRequires: gcc
BuildRequires: erlang-ezlib >= %{ezlib_ver}
BuildRequires: erlang-fast_tls >= %{fast_tls_ver}
BuildRequires: erlang-fast_xml >= %{fast_xml_ver}
BuildRequires: erlang-idna >= %{idna_ver}
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar
BuildRequires: erlang-stringprep >= %{stringprep_ver}

Requires: erlang-ezlib >= %{ezlib_ver}
Requires: erlang-fast_tls >= %{fast_tls_ver}
Requires: erlang-fast_xml >= %{fast_xml_ver}
Requires: erlang-idna >= %{idna_ver}
Requires: erlang-p1_utils >= %{p1_utils_ver}
Requires: erlang-stringprep >= %{stringprep_ver}


%description
XMPP is an Erlang XMPP parsing and serialization library, built on top of Fast
XML.


%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p0


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc doc
%doc README.md
%{erlang_appdir}


%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 26 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.4.2-2
- Bring xmpp back to s390x (#1775737).

* Thu Nov 14 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2 (#1742454).
- https://github.com/processone/xmpp/blob/1.4.2/CHANGELOG.md
- Add an exclusion on s390x (#1770256).

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 05 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.3.4-1
- Update to 1.3.4 (#1706342).
- https://github.com/processone/xmpp/blob/1.3.4/CHANGELOG.md

* Tue Apr 16 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2 (#1667604).
- https://github.com/processone/xmpp/blob/1.3.2/CHANGELOG.md

* Thu Feb 21 2019 Peter Lemenkov <lemenkov@gmail.com> - 1.2.8-3
- Rebuild for Erlang 21

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 12 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.2.8-1
- Update to 1.2.8.
- https://github.com/processone/xmpp/blob/1.2.8/CHANGELOG.md

* Sun Oct 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.2.5-1
- Update to 1.2.5.
- https://github.com/processone/xmpp/blob/1.2.5/CHANGELOG.md

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.2.2-2
- Rebuild with fixed binutils

* Sun Jul 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2 (#1596226).
- Note that 1.2.0 introduced API incompatibility.
- https://github.com/processone/xmpp/blob/1.2.2/CHANGELOG.md

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Jeremy Cline <jeremy@jcline.org> - 1.1.21-1
- Update to 1.1.21 (#1571795).
- https://github.com/processone/xmpp/blob/1.1.21/CHANGELOG.md

* Thu Mar 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.20-1
- Update to 1.1.20 (#1559664).
- https://github.com/processone/xmpp/blob/1.1.20/CHANGELOG.md
- Provide a debug package.

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.19-4
- Re-rebuild against Erlang 20, this time with feeling (and with working automated dependency
  detection.)

* Thu Feb 22 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.19-3
- Rebuild for Erlang 20.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.19-1
- Update to 1.1.19 (#1515243).
- https://github.com/processone/xmpp/blob/1.1.19/CHANGELOG.md
